/// <reference types="react" />
import { BaseProvider, BaseWidget } from '@tinystacks/ops-core';
import { TimeRangeOverrides } from '../utils/utils.js';
import { TimeRange, AwsCloudWatchMetricGraph as AwsCloudWatchMetricGraphType, Metric } from '../ops-types.js';
export declare enum MetricColors {
    RED = "#F56565",
    BLUE = "#4299E1",
    ORANGE = "#ED8936",
    GREEN = "#68D391"
}
type AwsCloudWatchMetricGraphOverrides = TimeRangeOverrides;
type AwsCloudWatchMetricGraphProps = AwsCloudWatchMetricGraphType & {
    showTimeRangeSelector?: boolean;
    showPeriodSelector?: boolean;
};
export declare class AwsCloudWatchMetricGraph extends BaseWidget {
    static type: string;
    showTimeRangeSelector: boolean;
    showPeriodSelector: boolean;
    metrics: Metric[];
    timeRange: TimeRange;
    region: string;
    constructor(props: AwsCloudWatchMetricGraphProps);
    additionalProperties?: any;
    static fromJson(object: AwsCloudWatchMetricGraphProps): AwsCloudWatchMetricGraph;
    toJson(): AwsCloudWatchMetricGraphProps;
    getData(providers?: BaseProvider[], overrides?: AwsCloudWatchMetricGraphOverrides): Promise<void>;
    render(_children?: any, overridesCallback?: (overrides: AwsCloudWatchMetricGraphOverrides) => void): JSX.Element;
}
export {};
