/// <reference types="react" />
import { BaseProvider, BaseWidget } from '@tinystacks/ops-core';
import { ApprovalStatus } from '@aws-sdk/client-codepipeline';
import { AwsCodePipeline as AwsCodePipelineType, Pipeline } from '../ops-types.js';
type AwsCodePipelineOverrides = {
    pipelineName?: string;
    region?: string;
    approval?: {
        stageName: string;
        actionName: string;
        status: ApprovalStatus;
        token: string;
    };
    startPipeline?: boolean;
};
declare class AwsCodePipeline extends BaseWidget implements AwsCodePipelineType {
    static type: string;
    pipelineName: string;
    region: string;
    pipeline?: Pipeline;
    constructor(props: AwsCodePipelineType);
    static fromJson(object: AwsCodePipelineType): AwsCodePipeline;
    toJson(): AwsCodePipelineType;
    getData(providers?: BaseProvider[], overrides?: AwsCodePipelineOverrides): Promise<void>;
    render(_children?: any, overridesCallback?: (overrides: AwsCodePipelineOverrides) => void): JSX.Element;
}
export { AwsCodePipeline, AwsCodePipelineOverrides };
export default AwsCodePipeline;
