import { BaseProvider } from '@tinystacks/ops-core';
import { AwsCredentialsProvider } from '../aws-provider/aws-credentials-provider.js';
import { TimeRange } from '../ops-types.js';
export declare function getAwsCredentialsProvider(providers?: BaseProvider[]): AwsCredentialsProvider;
export declare function findProvider<T extends BaseProvider>(providers: BaseProvider[], providerType: string): T;
export declare function getTimes(timeRange: TimeRange): {
    startTime: Date;
    endTime: Date;
};
export declare function cleanTimeRange(timeRange: TimeRange, overrides?: TimeRangeOverrides): TimeRange;
export declare function combineTimeRangeWithOverrides(timeRange: TimeRange, overrides?: TimeRangeOverrides): TimeRange;
export declare function getPeriodBasedOnTimeRange(startTime: Date, endTime: Date): number;
export type TimeRangeOverrides = {
    timeRange?: TimeRange;
};
